Page MenuHomePhabricator

Echo extension is missing @covers tags
Closed, ResolvedPublic

Description

PHPCS has identified that some of the Echo PHPUnit tests are missing @covers tags. Those tags
are necessary for PHPUnit to accurately calculate test coverage.

See the PHPUnit documentation for how to use it.

Once the tags have been added, the MissingCovers sniff should be re-enabled in .phpcs.xml.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 20 2018, 1:52 AM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMay 20 2018, 1:59 AM
kostajh claimed this task.Jun 14 2018, 2:21 PM

Change 440353 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/Echo@master] Re-enable test coverage reporting, add @covers tags

https://gerrit.wikimedia.org/r/440353

Change 440353 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Re-enable test coverage reporting, add @covers tags

https://gerrit.wikimedia.org/r/440353

Vvjjkkii renamed this task from Echo extension is missing @covers tags to vmcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii removed kostajh as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: kostajh; removed: gerritbot, Aklapper.
CommunityTechBot renamed this task from vmcaaaaaaa to Echo extension is missing @covers tags.Jul 1 2018, 5:22 PM
CommunityTechBot assigned this task to kostajh.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: kostajh.
kostajh closed this task as Resolved.Jul 3 2018, 3:09 PM